Bug 1375388 - [LLNL 7.4 FEAT] RFE don't require /etc/fstab for kdumpctl
Summary: [LLNL 7.4 FEAT] RFE don't require /etc/fstab for kdumpctl
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: kexec-tools
Version: 7.3
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: 7.4
Assignee: Pratyush Anand
QA Contact: Qiao Zhao
URL:
Whiteboard:
Depends On:
Blocks: 1289208 1384121 1446211 1384257 1394638 1404314
TreeView+ depends on / blocked
 
Reported: 2016-09-13 00:57 UTC by Ben Woodard
Modified: 2017-08-30 05:30 UTC (History)
8 users (show)

Fixed In Version: kexec-tools-2.0.7-52.el7.src.rpm
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-01 09:31:21 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:2300 0 normal SHIPPED_LIVE kexec-tools bug fix and enhancement update 2017-08-01 12:40:58 UTC

Description Ben Woodard 2016-09-13 00:57:15 UTC
Description of problem:

kdumpctl requires the presence of /etc/fstab or else the service fails to start.
Our diskless clients do not have /etc/fstab and they work perfectly well. To make kdump start we have to make an empty /etc/fstab and set its date to something sufficiently old that making a new initramrd doesn't get built. This is inconvenient. We think that if /etc/fstab were actually truly needed then having an empty file would not be sufficient. The fact that it works so long as the file exists even if it is empty suggests that it isn't really needed. Therefore, we think that the kexec tools should not error out if there is no /etc/fstab.

An /etc/fstab wasn't needed in rhel6

Comment 2 Pratyush Anand 2016-09-14 14:44:45 UTC
Posted patch to the upstream(kexec@lists.fedoraproject.org) for review. It will be back ported to rhel7 after upstream review and merging.

Comment 9 errata-xmlrpc 2017-08-01 09:31:21 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:2300


Note You need to log in before you can comment on or make changes to this bug.